
/**
 * Module dependencies.
 */

var express = require('express');

var app = module.exports = express.createServer(),
		jqtpl = require('jqtpl').express;

// Configuration

app.configure(function(){
  app.set('views', __dirname + '/views');
  app.set('view engine', 'html');
	app.register( '.html', jqtpl );
	app.use(express.bodyParser());
	app.use(express.cookieParser());
  app.use(express.methodOverride());
  app.use(app.router);
	app.use(express.favicon());
	app.use(express.static(__dirname + '/public'));
});

app.configure('development', function(){
  app.use(express.errorHandler({ dumpExceptions: true, showStack: true })); 
});

app.configure('production', function(){
  app.use(express.errorHandler()); 
});

// Routes
//	https://stream.twitter.com/1/statuses/sample.json
app.get('/', function(req, res){
  res.render('index', {
    title: 'Express'
  });
});

app.listen(3000);
console.log("Tweetstream app listening on port %d in %s mode", app.address().port, app.settings.env);